Subject: Re: [regext] implementation status of organization extension

From: "Gould, James" <[email-masked]>
Date: Mon, 18 Sep 2017 14:50:19 +0000

Jody,

Since the Reseller Extension has been broadened to support any organization, the most natural organization is the registrar.  A low hanging fruit for draft-ietf-regext-org and draft-ietf-regext-org-ext is to support providing registrar information in the support of transfers.  The registries already have the registrar information, so there is no need for registrars to provide new information to the registries.  A supporting registry would need to support partial info first and support draft-ietf-regext-org and draft-ietf-regext-org-ext second for the non-sponsoring registrar.  I hope not supporting partial info is a corner case, since that seems basic to me.  Do you see benefit in leveraging draft-ietf-regext-org and draft-ietf-regext-org-ext to help support transfers?

—

JG

[id:[email-masked]]

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>

From: Jody Kolker <[email-masked]>
Date: Monday, September 18, 2017 at 10:25 AM
To: Rubens Kuhl <[email-masked]>, James Gould <[email-masked]>
Cc: James Galvin <[email-masked]>, Linlin Zhou <[email-masked]>, regext <[email-masked]>
Subject: [EXTERNAL] RE: [regext] implementation status of organization extension

Hi Jim,

I was referring to the implementation status of organization extension, which involves sending reseller/DNS provider information to the registry, not to the proprietary WhoIs Info Extension that you referred to.  I should have been more specific, my apologies for the confusion.

I do see info in the whoIs info extension.  However, it would require the registry to allow a registrar to perform a domain:info command on a domain that the registrar does not own.  I don’t believe every registry allows a registrar to perform a domain:info command for a domain that the registrar does not own.

Thanks,
Jody Kolker

From: Rubens Kuhl [mailto:[email-masked]]
Sent: Monday, September 18, 2017 7:12 AM
To: Gould, James <[email-masked]>
Cc: Jody Kolker <[email-masked]>; James Galvin <[email-masked]>; Linlin Zhou <[email-masked]>; regext <[email-masked]>
Subject: Re: [regext] implementation status of organization extension

Isn't the sponsoring registrar already available in the clID field of the object ?

Rubens

On Sep 18, 2017, at 9:08 AM, Gould, James <[email-masked]<mailto:[email-masked]>> wrote:

Jody,

You don’t have any use for retrieving the sponsoring registrar information via EPP in the support of transfers?  A registrar could certainly go out to Whois to obtain the registrar information, but I believe that retrieving the information over EPP is a better solution.

—

JG

James Gould
Distinguished Engineer
[email-masked]<x-msg://3/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>

From: Jody Kolker <[email-masked]<mailto:[email-masked]>>
Date: Friday, September 15, 2017 at 5:05 PM
To: James Gould <[email-masked]<mailto:[email-masked]>>, James Galvin <[email-masked]<mailto:[email-masked]>>, Linlin Zhou <[email-masked]<mailto:[email-masked]>>
Cc: regext <[email-masked]<mailto:[email-masked]>>
Subject: [EXTERNAL] RE: [regext] implementation status of organization extension

Hi Jim,

We do not have any intention at this time of implementing this draft.  We have no desire to send reseller information to the registry due to competition concerns.  We believe there is no reason for the registry to require this suite of information.

Thanks,
Jody Kolker

From: regext [mailto:[email-masked]] On Behalf Of Gould, James
Sent: Friday, August 25, 2017 9:14 AM
To: James Galvin <[email-masked]<mailto:[email-masked]>>; Linlin Zhou <[email-masked]<mailto:[email-masked]>>
Cc: regext <[email-masked]<mailto:[email-masked]>>
Subject: Re: [regext] implementation status of organization extension

Jim,

There is one additional potential use is for providing registrar information in support of transfers.  We have a proprietary Whois Info Extension (https://www.verisign.com/assets/epp-sdk/verisign_epp-extension_whois-info_v00.html) that extends the domain info command and response to include the sponsoring registrar’s name, whois server, and URL to enable registrars to get this information without having to go to Whois.  The Whois Info Extension was created based on registrar feedback.  Providing the information from the organization extension would serve the same purpose.  I view providing the registrar information via the organization mapping and extension as potentially providing immediate value.  Would registrars see value in this?

—

JG

James Gould
Distinguished Engineer
[email-masked]<x-msg://3/[email-masked]>

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>

From: regext <[email-masked]<mailto:[email-masked]>> on behalf of James Galvin <[email-masked]<mailto:[email-masked]>>
Date: Friday, August 25, 2017 at 9:47 AM
To: Linlin Zhou <[email-masked]<mailto:[email-masked]>>
Cc: regext <[email-masked]<mailto:[email-masked]>>
Subject: [EXTERNAL] Re: [regext] implementation status of organization extension

At least two potential uses of these drafts have been identified by this group: for resellers and for DNS operators.
It would be very helpful if folks from those communities would make a point of reviewing these documents and consider supporting them or at least indicating you have no objection.
Of course, if you have any implementation notes, real or planned, that would be even better.
Thanks,
Jim

On 21 Aug 2017, at 22:03, Linlin Zhou wrote:
Dear all,
To support WG's suggestion, the organization extension drafts plan to add a section on implementation status. If you have already implemented organization extention, know of any existing implementations or planned implementations, please send me a mail for us to update the drafts. Any reviews or comments will be appreciated.

Regards,
________________________________
Linlin Zhou
_______________________________________________
regext mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/regext
_______________________________________________
regext mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/regext